<!DOCTYPE html>
{% load static %}

<html lang="en">
<title>Putri Profile</title>
<meta charset="UTF-8">
<meta name="viewport" content="width=device-width, initial-scale=1">
<meta name="google-signin-client_id" content="665391934752-umeojmk66pj3a6ob4k1amn87d28lv323.apps.googleusercontent.com">
<link rel="stylesheet" href="https://www.w3schools.com/w3css/4/w3.css">
<link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Raleway">
<link rel="stylesheet" href="//code.jquery.com/ui/1.12.1/themes/smoothness/jquery-ui.css">
<script src="//code.jquery.com/jquery-1.12.4.js"></script>
<script src="//code.jquery.com/ui/1.12.1/jquery-ui.js"></script>
<link href="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.4/css/select2.min.css" rel="stylesheet" />
<script src="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.4/js/select2.min.js"></script>
<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css" integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO" crossorigin="anonymous">
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
<script src="https://code.jquery.com/ui/1.12.1/jquery-ui.min.js" integrity="sha256-VazP97ZCwtekAsvgPBSUwPFKdrwD3unUfSGVYrahUqU=" crossorigin="anonymous"></script>
<link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.5.0/css/all.css" integrity="sha384-B4dIYHKNBt8Bc12p+WXckhzcICo0wtJAoU8YZTY5qE0Id1GSseTk6S+L3BlXeVIU" crossorigin="anonymous">
<link rel="stylesheet" href="{% static '/css/style.css' %}">
<script src="{% static '/json/book.json' %}"></script>

<body onload="myFunction()"style = "margin:0;">
    <div id="loader"></div>
    <div style="display:none;" id = "myDiv" class = "animate-bottom">

    {% block content %}
      {% if user.is_authenticated %}
      <div class="text-right" style="font-family: 'Signika', sans-serif; padding-right: 50px;">
          <br/>
          <p class="display-4">Hello, {{ user.username }}</p>
          <button class="btn btn-primary" style = "background-color: #e6ffe6;"><a href="{% url 'logout' %}" style="color: black">Logout</a></button>
      </div>
      {% else %}
      <div class="text-right" style="font-family: 'Signika', sans-serif; padding-right: 50px; padding-top: 20px;">
          <button class="btn btn-primary" style = "background-color: #e6ffe6; color: black;"><a href="{% url 'social:begin' 'google-oauth2' %}">Login with Google</a></button>
      </div>
      {% endif %}
    {% endblock content %}
      
  

      <div class="container">
          <h1 style="text-align: center;">List of Books</h1>
          <div class="text-center">
              <input type=text id="searchbar" class="textbox">
              <br>
              <br>
              <button class="btn btn-color" id="searchbtn" onclick="cari()">Search</button>
            </div>
        <div class="row">
          <div class="col-sm-12">
            <h2 id="fav"><i class='fa fa-star'style = 'color : green'></i> 0 </h2>
            <table class = "table" id = "result" style="width:100%;background-color: #e6ffe6"></table>
            </div>
          </div>
          </div>
    <script src="{% static 'js/text.js' %}"></script>
    <script>
      $('#google-button').on('click', function() {
        // Initialize with your OAuth.io app public key
        OAuth.initialize('665391934752-umeojmk66pj3a6ob4k1amn87d28lv323.apps.googleusercontent.com');
        // Use popup for oauth
        OAuth.popup('google').then(google => {
          console.log('google:',google);
          // Retrieves user data from oauth provider
          // Prompts 'welcome' message with User's email on successful login
          // #me() is a convenient method to retrieve user data without requiring you
          // to know which OAuth provider url to call
          google.me().then(data => {
            console.log('me data:', data);
            alert('Google says your email is:' + data.email + ".\nView browser 'Console Log' for more details");
          });
          // Retrieves user data from OAuth provider by using #get() and
          // OAuth provider url
          google.get('/plus/v1/people/me').then(data => {
            console.log('self data:', data);
          })
        });
      })
    </script>
  
  </body>
  </html>  
